List the ports that listen

Preview. The TCP ports that a server listens on in a running sandbox, each with its URL and whether it is public.

GET
/sandboxes/{sandbox_id}/ports

Authorization

headerAuthorizationBearer <token>

Your Munito API key.

Path Parameters

sandbox_id*string

The id of the sandbox.

Response Body

The ports that a server listens on in the sandbox, each with its URL.

application/json
  1. response
object?string
Default"list"
data*array<>
curl -X GET 'https://api.munito.ai/sandboxes/v1/sandboxes/string/ports'
Example Response
{
  "object": "list",
  "data": [
    {
      "object": "sandbox.listening_port",
      "port": 0,
      "url": "string",
      "public": true
    }
  ]
}